Rails.application.routes.draw do
  
  
 
  get "sitemap.:f" => "public/sitemap#sitemap"
  
  
  namespace :portlet do
    resources :event_contents
    resources :break_contents
    resources :download_contents
    resources :dynamic_contents
    resources :gallery_contents
    resources :gallery_images do
      collection do
        get :reorder
      end
    end
    resources :html_contents
    resources :image_contents
    resources :link_contents
    resources :img_link_contents
    resources :text_contents
    resources :map_contents
    resources :title_contents
    resources :table_contents
    resources :block_contents
    resources :table_rows
    resources :table_cols
    resources :portlets do
      collection do
        post :reorder
      end
    end
  end
  
  namespace :admin do
    resources :tags
    resources :password_resets
    
    resources :admin_auths do
        collection do 
          get :logout
        end
    end
    
    resources :admins
    
  
    
    resources :external_links do
      collection do
        get :cible
      end
    end
    
  
    resources :menus
    resources :menu_items do
      collection do
        get :cible
        post :reorder
        get :import
      end
      member do
        get :clone
      end
    end
    resources :image_files do
      member do
        get :rotate
      end
    end
    resources :file_folders
    resources :data_files
    resources :pages
    resources :menu_urls
    resources :menu_aliases
    resources :blocks
    resources :albums
    resources :cibles
  

  end
  
  resources :download_data_files

  

  get 'admin' => "admin/admin_auths#index"
  
  
  
  
  
  get '*url.html' => 'public/menu_items#show', :as => :menu_item, :f => "html"
  get '*url.:f' => 'public/menu_items#redirect',  :f => "html"
  
  root 'public/menu_items#show'
  
  
  
end
